Index: /palm/trunk/SOURCE/turbulence_closure_mod.f90
===================================================================
--- /palm/trunk/SOURCE/turbulence_closure_mod.f90	(revision 4509)
+++ /palm/trunk/SOURCE/turbulence_closure_mod.f90	(revision 4510)
@@ -3205,11 +3160,10 @@
                 DO  k = nzb+1, nzt
 
-                   IF ( .NOT. bulk_cloud_model .AND. .NOT. cloud_droplets ) THEN
+                   IF ( .NOT. bulk_cloud_model .AND. .NOT. cloud_droplets )  THEN
                       k1 = 1.0_wp + 0.61_wp * q(k,j,i)
                       k2 = 0.61_wp * pt(k,j,i)
-                      tmp_flux(k) = -1.0_wp * kh(k,j,i) *                      &
-                                      ( k1 * ( pt(k+1,j,i) - pt(k-1,j,i) ) +   &
-                                        k2 * ( q(k+1,j,i)  - q(k-1,j,i) )      &
-                                      ) * dd2zu(k)
+                      tmp_flux(k) = -1.0_wp * kh(k,j,i) * ( k1 * ( pt(k+1,j,i) - pt(k-1,j,i) ) +   &
+                                                            k2 * ( q(k+1,j,i)  - q(k-1,j,i) ) )    &
+                                    * dd2zu(k)
                    ELSE IF ( bulk_cloud_model )  THEN
                       IF ( ql(k,j,i) == 0.0_wp )  THEN
@@ -3219,23 +3173,20 @@
                          theta = pt(k,j,i) + d_exner(k) * lv_d_cp * ql(k,j,i)
                          temp  = theta * exner(k)
-                         k1 = ( 1.0_wp - q(k,j,i) + 1.61_wp *                  &
-                                       ( q(k,j,i) - ql(k,j,i) ) *              &
-                              ( 1.0_wp + rd_d_rv * lv_d_rd / temp ) ) /        &
-                              ( 1.0_wp + rd_d_rv * lv_d_rd * lv_d_cp *         &
+                         k1 = ( 1.0_wp - q(k,j,i) + 1.61_wp * ( q(k,j,i) - ql(k,j,i) ) *           &
+                              ( 1.0_wp + rd_d_rv * lv_d_rd / temp ) ) /                            &
+                              ( 1.0_wp + rd_d_rv * lv_d_rd * lv_d_cp *                             &
                               ( q(k,j,i) - ql(k,j,i) ) / ( temp * temp ) )
                          k2 = theta * ( lv_d_cp / temp * k1 - 1.0_wp )
                       ENDIF
-                      tmp_flux(k) = -1.0_wp * kh(k,j,i) *                      &
-                                      ( k1 * ( pt(k+1,j,i) - pt(k-1,j,i) ) +   &
-                                        k2 * ( q(k+1,j,i)  - q(k-1,j,i) )      &
-                                      ) * dd2zu(k)
+                      tmp_flux(k) = -1.0_wp * kh(k,j,i) * ( k1 * ( pt(k+1,j,i) - pt(k-1,j,i) ) +   &
+                                                            k2 * ( q(k+1,j,i)  - q(k-1,j,i) ) )    &
+                                    * dd2zu(k)
                    ELSE IF ( cloud_droplets )  THEN
                       k1 = 1.0_wp + 0.61_wp * q(k,j,i) - ql(k,j,i)
                       k2 = 0.61_wp * pt(k,j,i)
-                      tmp_flux(k) = -1.0_wp * kh(k,j,i) * &
-                                      ( k1 * ( pt(k+1,j,i) - pt(k-1,j,i) ) +   &
-                                        k2 * ( q(k+1,j,i)  - q(k-1,j,i) ) -    &
-                                        pt(k,j,i) * ( ql(k+1,j,i) -            &
-                                        ql(k-1,j,i) ) ) * dd2zu(k)
+                      tmp_flux(k) = -1.0_wp * kh(k,j,i) * ( k1 * ( pt(k+1,j,i) - pt(k-1,j,i) ) +   &
+                                                            k2 * ( q(k+1,j,i)  - q(k-1,j,i) ) -    &
+                                                            pt(k,j,i) * ( ql(k+1,j,i) -            &
+                                                            ql(k-1,j,i) ) ) * dd2zu(k)
                    ENDIF
 
@@ -3251,5 +3202,5 @@
                          k = surf_def_h(l)%k(m)
 
-                         IF ( .NOT. bulk_cloud_model .AND. .NOT. cloud_droplets ) THEN
+                         IF (  .NOT.  bulk_cloud_model  .AND.  .NOT.  cloud_droplets )  THEN
                             k1 = 1.0_wp + 0.61_wp * q(k,j,i)
                             k2 = 0.61_wp * pt(k,j,i)
@@ -3261,9 +3212,8 @@
                                theta = pt(k,j,i) + d_exner(k) * lv_d_cp * ql(k,j,i)
                                temp  = theta * exner(k)
-                               k1 = ( 1.0_wp - q(k,j,i) + 1.61_wp *            &
-                                          ( q(k,j,i) - ql(k,j,i) ) *           &
-                                 ( 1.0_wp + rd_d_rv * lv_d_rd / temp ) ) /     &
-                                 ( 1.0_wp + rd_d_rv * lv_d_rd * lv_d_cp *      &
-                                 ( q(k,j,i) - ql(k,j,i) ) / ( temp * temp ) )
+                               k1 = ( 1.0_wp - q(k,j,i) + 1.61_wp * ( q(k,j,i) - ql(k,j,i) ) *     &
+                                    ( 1.0_wp + rd_d_rv * lv_d_rd / temp ) ) /                      &
+                                    ( 1.0_wp + rd_d_rv * lv_d_rd * lv_d_cp *                       &
+                                    ( q(k,j,i) - ql(k,j,i) ) / ( temp * temp ) )
                                k2 = theta * ( lv_d_cp / temp * k1 - 1.0_wp )
                             ENDIF
@@ -3273,7 +3223,6 @@
                          ENDIF
 
-                         tmp_flux(k) = ( k1 * surf_def_h(l)%shf(m) +           &
-                                         k2 * surf_def_h(l)%qsws(m)            &
-                                       ) * drho_air_zw(k-1)
+                         tmp_flux(k) = ( k1 * surf_def_h(l)%shf(m) + k2 * surf_def_h(l)%qsws(m) )  &
+                                         * drho_air_zw(k-1)
                       ENDDO
                    ENDDO
@@ -3285,5 +3234,5 @@
                       k = surf_lsm_h%k(m)
 
-                      IF ( .NOT. bulk_cloud_model .AND. .NOT. cloud_droplets ) THEN
+                      IF (  .NOT.  bulk_cloud_model  .AND.  .NOT.  cloud_droplets )  THEN
                          k1 = 1.0_wp + 0.61_wp * q(k,j,i)
                          k2 = 0.61_wp * pt(k,j,i)
@@ -3295,8 +3244,7 @@
                             theta = pt(k,j,i) + d_exner(k) * lv_d_cp * ql(k,j,i)
                             temp  = theta * exner(k)
-                            k1 = ( 1.0_wp - q(k,j,i) + 1.61_wp *               &
-                                          ( q(k,j,i) - ql(k,j,i) ) *           &
-                                 ( 1.0_wp + rd_d_rv * lv_d_rd / temp ) ) /     &
-                                 ( 1.0_wp + rd_d_rv * lv_d_rd * lv_d_cp *      &
+                            k1 = ( 1.0_wp - q(k,j,i) + 1.61_wp * ( q(k,j,i) - ql(k,j,i) ) *        &
+                                 ( 1.0_wp + rd_d_rv * lv_d_rd / temp ) ) /                         &
+                                 ( 1.0_wp + rd_d_rv * lv_d_rd * lv_d_cp *                          &
                                  ( q(k,j,i) - ql(k,j,i) ) / ( temp * temp ) )
                             k2 = theta * ( lv_d_cp / temp * k1 - 1.0_wp )
@@ -3307,7 +3255,6 @@
                       ENDIF
 
-                      tmp_flux(k) = ( k1 * surf_lsm_h%shf(m) +                 &
-                                      k2 * surf_lsm_h%qsws(m)                  &
-                                    ) * drho_air_zw(k-1)
+                      tmp_flux(k) = ( k1 * surf_lsm_h%shf(m) + k2 * surf_lsm_h%qsws(m) )           &
+                                    * drho_air_zw(k-1)
                    ENDDO
 !
@@ -3318,5 +3265,5 @@
                       k = surf_usm_h%k(m)
 
-                      IF ( .NOT. bulk_cloud_model .AND. .NOT. cloud_droplets ) THEN
+                      IF ( .NOT. bulk_cloud_model  .AND.  .NOT. cloud_droplets )  THEN
                          k1 = 1.0_wp + 0.61_wp * q(k,j,i)
                          k2 = 0.61_wp * pt(k,j,i)
@@ -3328,8 +3275,7 @@
                             theta = pt(k,j,i) + d_exner(k) * lv_d_cp * ql(k,j,i)
                             temp  = theta * exner(k)
-                            k1 = ( 1.0_wp - q(k,j,i) + 1.61_wp *               &
-                                          ( q(k,j,i) - ql(k,j,i) ) *           &
-                                 ( 1.0_wp + rd_d_rv * lv_d_rd / temp ) ) /     &
-                                 ( 1.0_wp + rd_d_rv * lv_d_rd * lv_d_cp *      &
+                            k1 = ( 1.0_wp - q(k,j,i) + 1.61_wp * ( q(k,j,i) - ql(k,j,i) ) *        &
+                                 ( 1.0_wp + rd_d_rv * lv_d_rd / temp ) ) /                         &
+                                 ( 1.0_wp + rd_d_rv * lv_d_rd * lv_d_cp *                          &
                                  ( q(k,j,i) - ql(k,j,i) ) / ( temp * temp ) )
                             k2 = theta * ( lv_d_cp / temp * k1 - 1.0_wp )
@@ -3340,10 +3286,9 @@
                       ENDIF
 
-                      tmp_flux(k) = ( k1 * surf_usm_h%shf(m) +                 &
-                                      k2 * surf_usm_h%qsws(m)                  &
-                                    ) * drho_air_zw(k-1)
+                      tmp_flux(k) = ( k1 * surf_usm_h%shf(m) + k2 * surf_usm_h%qsws(m) )           &
+                                    * drho_air_zw(k-1)
                    ENDDO
 
-                ENDIF ! from IF ( use_surface_fluxes )  THEN
+                ENDIF ! From IF ( use_surface_fluxes )  THEN
 
                 IF ( use_top_fluxes )  THEN
@@ -3354,5 +3299,5 @@
                       k = surf_def_h(2)%k(m)
 
-                      IF ( .NOT. bulk_cloud_model .AND. .NOT. cloud_droplets ) THEN
+                      IF ( .NOT. bulk_cloud_model  .AND.  .NOT. cloud_droplets )  THEN
                          k1 = 1.0_wp + 0.61_wp * q(k,j,i)
                          k2 = 0.61_wp * pt(k,j,i)
@@ -3364,8 +3309,7 @@
                             theta = pt(k,j,i) + d_exner(k) * lv_d_cp * ql(k,j,i)
                             temp  = theta * exner(k)
-                            k1 = ( 1.0_wp - q(k,j,i) + 1.61_wp *               &
-                                       ( q(k,j,i) - ql(k,j,i) ) *              &
-                              ( 1.0_wp + rd_d_rv * lv_d_rd / temp ) ) /        &
-                              ( 1.0_wp + rd_d_rv * lv_d_rd * lv_d_cp *         &
+                            k1 = ( 1.0_wp - q(k,j,i) + 1.61_wp * ( q(k,j,i) - ql(k,j,i) ) *        &
+                              ( 1.0_wp + rd_d_rv * lv_d_rd / temp ) ) /                            &
+                              ( 1.0_wp + rd_d_rv * lv_d_rd * lv_d_cp *                             &
                               ( q(k,j,i) - ql(k,j,i) ) / ( temp * temp ) )
                             k2 = theta * ( lv_d_cp / temp * k1 - 1.0_wp )
@@ -3376,11 +3320,10 @@
                       ENDIF
 
-                      tmp_flux(k) = ( k1 * surf_def_h(2)%shf(m) +              &
-                                      k2 * surf_def_h(2)%qsws(m)               &
-                                    ) * drho_air_zw(k)
+                      tmp_flux(k) = ( k1 * surf_def_h(2)%shf(m) + k2 * surf_def_h(2)%qsws(m) )     &
+                                    * drho_air_zw(k)
 
                    ENDDO
 
-                ENDIF ! from IF ( use_top_fluxes )  THEN
+                ENDIF ! From IF ( use_top_fluxes )  THEN
 
                 IF ( .NOT. diss_production )  THEN
@@ -3388,8 +3331,7 @@
 !--                Compute tendency for TKE-production from shear
                    DO  k = nzb+1, nzt
-                      flag = MERGE( 1.0_wp, 0.0_wp, BTEST(wall_flags_total_0(k,j,i),0) )
-                      tend(k,j,i) = tend(k,j,i) + flag * tmp_flux(k) * ( g / &
-                                    MERGE( vpt_reference, vpt(k,j,i),          &
-                                           use_single_reference_value ) )
+                      flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 0 ) )
+                      tend(k,j,i) = tend(k,j,i) + flag * tmp_flux(k) * ( g /                       &
+                                    MERGE( vpt_reference, vpt(k,j,i), use_single_reference_value ) )
                    ENDDO
 
@@ -3398,10 +3340,9 @@
 !--                RANS mode: Compute tendency for dissipation-rate-production from shear
                    DO  k = nzb+1, nzt
-                      flag = MERGE( 1.0_wp, 0.0_wp, BTEST(wall_flags_total_0(k,j,i),0) )
-                      tend(k,j,i) = tend(k,j,i) + flag * tmp_flux(k) * ( g /   &
-                                    MERGE( vpt_reference, vpt(k,j,i),          &
-                                           use_single_reference_value ) ) *    &
-                                    diss(k,j,i)/( e(k,j,i) + 1.0E-20_wp ) *    &
-                                    c_3
+                      flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 0 ) )
+                      tend(k,j,i) = tend(k,j,i) + flag * tmp_flux(k) *                             &
+                                    ( g / MERGE( vpt_reference, vpt(k,j,i),                        &
+                                                  use_single_reference_value ) )                   &
+                                   * diss(k,j,i)/( e(k,j,i) + 1.0E-20_wp ) * c_3
                    ENDDO
 
@@ -3418,40 +3359,54 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Production terms (shear + buoyancy) of the TKE.
 !> Cache-optimized version
-!> @warning The case with constant_flux_layer = F and use_surface_fluxes = T is
-!>          not considered well!
-!------------------------------------------------------------------------------!
+!> @warning The case with constant_flux_layer = F and use_surface_fluxes = T is not considered well!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE production_e_ij( i, j, diss_production )
 
-    USE arrays_3d,                                                             &
-        ONLY:  ddzw, dd2zu, drho_air_zw, q, ql, d_exner, exner
-
-    USE control_parameters,                                                    &
-        ONLY:  cloud_droplets, constant_flux_layer, neutral,                   &
-               rho_reference, use_single_reference_value, use_surface_fluxes,  &
+    USE arrays_3d,                                                                                 &
+        ONLY:  ddzw,                                                                               &
+               dd2zu,                                                                              &
+               drho_air_zw,                                                                        &
+               d_exner,                                                                            &
+               exner,                                                                              &
+               q,                                                                                  &
+               ql
+
+
+
+    USE control_parameters,                                                                        &
+        ONLY:  cloud_droplets,                                                                     &
+               constant_flux_layer,                                                                &
+               neutral,                                                                            &
+               rho_reference,                                                                      &
+               use_single_reference_value,                                                         &
+               use_surface_fluxes,                                                                 &
                use_top_fluxes
 
-    USE grid_variables,                                                        &
-        ONLY:  ddx, dx, ddy, dy
-
-    USE bulk_cloud_model_mod,                                                  &
+    USE grid_variables,                                                                            &
+        ONLY:  ddx,                                                                                &
+               dx,                                                                                 &
+               ddy,                                                                                &
+               dy
+
+    USE bulk_cloud_model_mod,                                                                      &
         ONLY:  bulk_cloud_model
 
     IMPLICIT NONE
 
-    LOGICAL :: diss_production
-
-    INTEGER(iwp) ::  i       !< running index x-direction
-    INTEGER(iwp) ::  j       !< running index y-direction
-    INTEGER(iwp) ::  k       !< running index z-direction
-    INTEGER(iwp) ::  l       !< running index for different surface type orientation
-    INTEGER(iwp) ::  m       !< running index surface elements
-    INTEGER(iwp) ::  surf_e  !< end index of surface elements at given i-j position
-    INTEGER(iwp) ::  surf_s  !< start index of surface elements at given i-j position
-    INTEGER(iwp) ::  flag_nr !< number of masking flag
+    LOGICAL ::  diss_production  !<
+
+    INTEGER(iwp) ::  flag_nr  !< number of masking flag
+    INTEGER(iwp) ::  i        !< running index x-direction
+    INTEGER(iwp) ::  j        !< running index y-direction
+    INTEGER(iwp) ::  k        !< running index z-direction
+    INTEGER(iwp) ::  l        !< running index for different surface type orientation
+    INTEGER(iwp) ::  m        !< running index surface elements
+    INTEGER(iwp) ::  surf_e   !< end index of surface elements at given i-j position
+    INTEGER(iwp) ::  surf_s   !< start index of surface elements at given i-j position
 
     REAL(wp)     ::  def         !< ( du_i/dx_j + du_j/dx_i ) * du_i/dx_j
@@ -3460,7 +3415,7 @@
     REAL(wp)     ::  k2          !< temporary factor
     REAL(wp)     ::  km_neutral  !< diffusion coefficient assuming neutral conditions - used to compute shear production at surfaces
+    REAL(wp)     ::  sign_dir    !< sign of wall-tke flux, depending on wall orientation
     REAL(wp)     ::  theta       !< virtual potential temperature
     REAL(wp)     ::  temp        !< theta * Exner-function
-    REAL(wp)     ::  sign_dir    !< sign of wall-tke flux, depending on wall orientation
     REAL(wp)     ::  usvs        !< momentum flux u"v"
     REAL(wp)     ::  vsus        !< momentum flux v"u"
@@ -3468,13 +3423,13 @@
     REAL(wp)     ::  wsvs        !< momentum flux w"v"
 
-    REAL(wp), DIMENSION(nzb+1:nzt) ::  dudx  !< Gradient of u-component in x-direction
-    REAL(wp), DIMENSION(nzb+1:nzt) ::  dudy  !< Gradient of u-component in y-direction
-    REAL(wp), DIMENSION(nzb+1:nzt) ::  dudz  !< Gradient of u-component in z-direction
-    REAL(wp), DIMENSION(nzb+1:nzt) ::  dvdx  !< Gradient of v-component in x-direction
-    REAL(wp), DIMENSION(nzb+1:nzt) ::  dvdy  !< Gradient of v-component in y-direction
-    REAL(wp), DIMENSION(nzb+1:nzt) ::  dvdz  !< Gradient of v-component in z-direction
-    REAL(wp), DIMENSION(nzb+1:nzt) ::  dwdx  !< Gradient of w-component in x-direction
-    REAL(wp), DIMENSION(nzb+1:nzt) ::  dwdy  !< Gradient of w-component in y-direction
-    REAL(wp), DIMENSION(nzb+1:nzt) ::  dwdz  !< Gradient of w-component in z-direction
+    REAL(wp), DIMENSION(nzb+1:nzt) ::  dudx      !< Gradient of u-component in x-direction
+    REAL(wp), DIMENSION(nzb+1:nzt) ::  dudy      !< Gradient of u-component in y-direction
+    REAL(wp), DIMENSION(nzb+1:nzt) ::  dudz      !< Gradient of u-component in z-direction
+    REAL(wp), DIMENSION(nzb+1:nzt) ::  dvdx      !< Gradient of v-component in x-direction
+    REAL(wp), DIMENSION(nzb+1:nzt) ::  dvdy      !< Gradient of v-component in y-direction
+    REAL(wp), DIMENSION(nzb+1:nzt) ::  dvdz      !< Gradient of v-component in z-direction
+    REAL(wp), DIMENSION(nzb+1:nzt) ::  dwdx      !< Gradient of w-component in x-direction
+    REAL(wp), DIMENSION(nzb+1:nzt) ::  dwdy      !< Gradient of w-component in y-direction
+    REAL(wp), DIMENSION(nzb+1:nzt) ::  dwdz      !< Gradient of w-component in z-direction
     REAL(wp), DIMENSION(nzb+1:nzt) ::  tmp_flux  !< temporary flux-array in z-direction
 
@@ -3482,25 +3437,18 @@
 
 !
-!-- Calculate TKE production by shear. Calculate gradients at all grid
-!-- points first, gradients at surface-bounded grid points will be
-!-- overwritten further below.
+!-- Calculate TKE production by shear. Calculate gradients at all grid points first, gradients at
+!-- surface-bounded grid points will be overwritten further below.
     DO  k = nzb+1, nzt
 
        dudx(k) =           ( u(k,j,i+1) - u(k,j,i)     ) * ddx
-       dudy(k) = 0.25_wp * ( u(k,j+1,i) + u(k,j+1,i+1) -                 &
-                             u(k,j-1,i) - u(k,j-1,i+1) ) * ddy
-       dudz(k) = 0.5_wp  * ( u(k+1,j,i) + u(k+1,j,i+1) -                 &
-                             u(k-1,j,i) - u(k-1,j,i+1) ) * dd2zu(k)
-
-       dvdx(k) = 0.25_wp * ( v(k,j,i+1) + v(k,j+1,i+1) -                 &
-                             v(k,j,i-1) - v(k,j+1,i-1) ) * ddx
+       dudy(k) = 0.25_wp * ( u(k,j+1,i) + u(k,j+1,i+1) - u(k,j-1,i) - u(k,j-1,i+1) ) * ddy
+       dudz(k) = 0.5_wp  * ( u(k+1,j,i) + u(k+1,j,i+1) - u(k-1,j,i) - u(k-1,j,i+1) ) * dd2zu(k)
+
+       dvdx(k) = 0.25_wp * ( v(k,j,i+1) + v(k,j+1,i+1) - v(k,j,i-1) - v(k,j+1,i-1) ) * ddx
        dvdy(k) =           ( v(k,j+1,i) - v(k,j,i)     ) * ddy
-       dvdz(k) = 0.5_wp  * ( v(k+1,j,i) + v(k+1,j+1,i) -                 &
-                             v(k-1,j,i) - v(k-1,j+1,i) ) * dd2zu(k)
-
-       dwdx(k) = 0.25_wp * ( w(k,j,i+1) + w(k-1,j,i+1) -                 &
-                             w(k,j,i-1) - w(k-1,j,i-1) ) * ddx
-       dwdy(k) = 0.25_wp * ( w(k,j+1,i) + w(k-1,j+1,i) -                 &
-                             w(k,j-1,i) - w(k-1,j-1,i) ) * ddy
+       dvdz(k) = 0.5_wp  * ( v(k+1,j,i) + v(k+1,j+1,i) - v(k-1,j,i) - v(k-1,j+1,i) ) * dd2zu(k)
+
+       dwdx(k) = 0.25_wp * ( w(k,j,i+1) + w(k-1,j,i+1) - w(k,j,i-1) - w(k-1,j,i-1) ) * ddx
+       dwdy(k) = 0.25_wp * ( w(k,j+1,i) + w(k-1,j+1,i) - w(k,j-1,i) - w(k-1,j-1,i) ) * ddy
        dwdz(k) =           ( w(k,j,i)   - w(k-1,j,i)   ) * ddzw(k)
 
@@ -3517,7 +3465,6 @@
 !--    'bottom and wall: use u_0,v_0 and wall functions'
 !
-!--    Compute gradients at north- and south-facing surfaces.
-!--    First, for default surfaces, then for urban surfaces.
-!--    Note, so far no natural vertical surfaces implemented
+!--    Compute gradients at north- and south-facing surfaces. First, for default surfaces, then for
+!--    urban surfaces. Note, so far no natural vertical surfaces implemented
        DO  l = 0, 1
           surf_s = surf_def_v(l)%start_index(j,i)
@@ -3528,10 +3475,8 @@
              wsvs        = surf_def_v(l)%mom_flux_tke(1,m)
 
-             km_neutral = kappa * ( usvs**2 + wsvs**2 )**0.25_wp         &
-                                * 0.5_wp * dy
+             km_neutral = kappa * ( usvs**2 + wsvs**2 )**0.25_wp * 0.5_wp * dy
 !
 !--          -1.0 for right-facing wall, 1.0 for left-facing wall
-             sign_dir = MERGE( 1.0_wp, -1.0_wp,                          &
-                        BTEST( wall_flags_total_0(k,j-1,i), flag_nr ) )
+             sign_dir = MERGE( 1.0_wp, -1.0_wp, BTEST( wall_flags_total_0(k,j-1,i), flag_nr ) )
              dudy(k) = sign_dir * usvs / ( km_neutral + 1E-10_wp )
              dwdy(k) = sign_dir * wsvs / ( km_neutral + 1E-10_wp )
@@ -3546,10 +3491,8 @@
              wsvs        = surf_lsm_v(l)%mom_flux_tke(1,m)
 
-             km_neutral = kappa * ( usvs**2 + wsvs**2 )**0.25_wp         &
-                                * 0.5_wp * dy
+             km_neutral = kappa * ( usvs**2 + wsvs**2 )**0.25_wp * 0.5_wp * dy
 !
 !--          -1.0 for right-facing wall, 1.0 for left-facing wall
-             sign_dir = MERGE( 1.0_wp, -1.0_wp,                          &
-                        BTEST( wall_flags_total_0(k,j-1,i), flag_nr ) )
+             sign_dir = MERGE( 1.0_wp, -1.0_wp, BTEST( wall_flags_total_0(k,j-1,i), flag_nr ) )
              dudy(k) = sign_dir * usvs / ( km_neutral + 1E-10_wp )
              dwdy(k) = sign_dir * wsvs / ( km_neutral + 1E-10_wp )
@@ -3564,10 +3507,8 @@
              wsvs        = surf_usm_v(l)%mom_flux_tke(1,m)
 
-             km_neutral = kappa * ( usvs**2 + wsvs**2 )**0.25_wp         &
-                                * 0.5_wp * dy
+             km_neutral = kappa * ( usvs**2 + wsvs**2 )**0.25_wp * 0.5_wp * dy
 !
 !--          -1.0 for right-facing wall, 1.0 for left-facing wall
-             sign_dir = MERGE( 1.0_wp, -1.0_wp,                          &
-                        BTEST( wall_flags_total_0(k,j-1,i), flag_nr ) )
+             sign_dir = MERGE( 1.0_wp, -1.0_wp, BTEST( wall_flags_total_0(k,j-1,i), flag_nr ) )
              dudy(k) = sign_dir * usvs / ( km_neutral + 1E-10_wp )
              dwdy(k) = sign_dir * wsvs / ( km_neutral + 1E-10_wp )
@@ -3584,10 +3525,8 @@
              wsus  = surf_def_v(l)%mom_flux_tke(1,m)
 
-             km_neutral = kappa * ( vsus**2 + wsus**2 )**0.25_wp         &
-                                * 0.5_wp * dx
+             km_neutral = kappa * ( vsus**2 + wsus**2 )**0.25_wp * 0.5_wp * dx
 !
 !--          -1.0 for right-facing wall, 1.0 for left-facing wall
-             sign_dir = MERGE( 1.0_wp, -1.0_wp,                          &
-                        BTEST( wall_flags_total_0(k,j,i-1), flag_nr ) )
+             sign_dir = MERGE( 1.0_wp, -1.0_wp, BTEST( wall_flags_total_0(k,j,i-1), flag_nr ) )
              dvdx(k) = sign_dir * vsus / ( km_neutral + 1E-10_wp )
              dwdx(k) = sign_dir * wsus / ( km_neutral + 1E-10_wp )
@@ -3602,10 +3541,8 @@
              wsus  = surf_lsm_v(l)%mom_flux_tke(1,m)
 
-             km_neutral = kappa * ( vsus**2 + wsus**2 )**0.25_wp         &
-                                * 0.5_wp * dx
+             km_neutral = kappa * ( vsus**2 + wsus**2 )**0.25_wp * 0.5_wp * dx
 !
 !--          -1.0 for right-facing wall, 1.0 for left-facing wall
-             sign_dir = MERGE( 1.0_wp, -1.0_wp,                          &
-                        BTEST( wall_flags_total_0(k,j,i-1), flag_nr ) )
+             sign_dir = MERGE( 1.0_wp, -1.0_wp, BTEST( wall_flags_total_0(k,j,i-1), flag_nr ) )
              dvdx(k) = sign_dir * vsus / ( km_neutral + 1E-10_wp )
              dwdx(k) = sign_dir * wsus / ( km_neutral + 1E-10_wp )
@@ -3620,10 +3557,8 @@
              wsus  = surf_usm_v(l)%mom_flux_tke(1,m)
 
-             km_neutral = kappa * ( vsus**2 + wsus**2 )**0.25_wp         &
-                                * 0.5_wp * dx
+             km_neutral = kappa * ( vsus**2 + wsus**2 )**0.25_wp * 0.5_wp * dx
 !
 !--          -1.0 for right-facing wall, 1.0 for left-facing wall
-             sign_dir = MERGE( 1.0_wp, -1.0_wp,                          &
-                        BTEST( wall_flags_total_0(k,j,i-1), flag_nr ) )
+             sign_dir = MERGE( 1.0_wp, -1.0_wp, BTEST( wall_flags_total_0(k,j,i-1), flag_nr ) )
              dvdx(k) = sign_dir * vsus / ( km_neutral + 1E-10_wp )
              dwdx(k) = sign_dir * wsus / ( km_neutral + 1E-10_wp )
@@ -3637,9 +3572,7 @@
           k = surf_def_h(0)%k(m)
 !
-!--       Please note, actually, an interpolation of u_0 and v_0
-!--       onto the grid center would be required. However, this
-!--       would require several data transfers between 2D-grid and
-!--       wall type. The effect of this missing interpolation is
-!--       negligible. (See also production_e_init).
+!--       Please note, actually, an interpolation of u_0 and v_0 onto the grid center would be
+!--       required. However, this would require several data transfers between 2D-grid and wall
+!--       type. The effect of this missing interpolation is negligible. (See also production_e_init).
           dudz(k) = ( u(k+1,j,i) - surf_def_h(0)%u_0(m) ) * dd2zu(k)
           dvdz(k) = ( v(k+1,j,i) - surf_def_h(0)%v_0(m) ) * dd2zu(k)
@@ -3669,6 +3602,5 @@
        ENDDO
 !
-!--    Compute gradients at downward-facing walls, only for
-!--    non-natural default surfaces
+!--    Compute gradients at downward-facing walls, only for non-natural default surfaces
        surf_s = surf_def_h(1)%start_index(j,i)
        surf_e = surf_def_h(1)%end_index(j,i)
@@ -3685,9 +3617,8 @@
     DO  k = nzb+1, nzt
 
-       def = 2.0_wp * ( dudx(k)**2 + dvdy(k)**2 + dwdz(k)**2 ) +         &
-                        dudy(k)**2 + dvdx(k)**2 + dwdx(k)**2 +           &
-                        dwdy(k)**2 + dudz(k)**2 + dvdz(k)**2 +           &
-             2.0_wp * ( dvdx(k)*dudy(k) + dwdx(k)*dudz(k) +              &
-                        dwdy(k)*dvdz(k) )
+       def = 2.0_wp * ( dudx(k)**2 + dvdy(k)**2 + dwdz(k)**2 ) +                                   &
+                        dudy(k)**2 + dvdx(k)**2 + dwdx(k)**2 +                                     &
+                        dwdy(k)**2 + dudz(k)**2 + dvdz(k)**2 +                                     &
+             2.0_wp * ( dvdx(k)*dudy(k) + dwdx(k)*dudz(k) + dwdy(k)*dvdz(k) )
 
        IF ( def < 0.0_wp )  def = 0.0_wp
@@ -3703,6 +3634,6 @@
 
 !--       RANS mode: Compute tendency for dissipation-rate-production from shear
-          tend(k,j,i) = tend(k,j,i) + km(k,j,i) * def * flag *           &
-                        diss(k,j,i)/( e(k,j,i) + 1.0E-20_wp ) * c_1
+          tend(k,j,i) = tend(k,j,i) + km(k,j,i) * def * flag *                                     &
+                        diss(k,j,i) / ( e(k,j,i) + 1.0E-20_wp ) * c_1
 
        ENDIF
@@ -3718,12 +3649,11 @@
           IF ( ocean_mode )  THEN
 !
-!--          So far in the ocean no special treatment of density flux
-!--          in the bottom and top surface layer
+!--          So far in the ocean no special treatment of density flux in the bottom and top surface
+!--          layer
              DO  k = nzb+1, nzt
                 tmp_flux(k) = kh(k,j,i) * ( prho(k+1,j,i) - prho(k-1,j,i) ) * dd2zu(k)
              ENDDO
 !
-!--          Treatment of near-surface grid points, at up- and down-
-!--          ward facing surfaces
+!--          Treatment of near-surface grid points, at up- and down- ward facing surfaces
              IF ( use_surface_fluxes )  THEN
                 DO  l = 0, 1
@@ -3750,8 +3680,7 @@
 !--             Compute tendency for TKE-production from shear
                 DO  k = nzb+1, nzt
-                   flag = MERGE( 1.0_wp, 0.0_wp, BTEST(wall_flags_total_0(k,j,i),0) )
-                   tend(k,j,i) = tend(k,j,i) + flag * tmp_flux(k) * ( g / &
-                                 MERGE( rho_reference, prho(k,j,i),       &
-                                        use_single_reference_value ) )
+                   flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 0 ) )
+                   tend(k,j,i) = tend(k,j,i) + flag * tmp_flux(k) * ( g /                          &
+                                 MERGE( rho_reference, prho(k,j,i), use_single_reference_value ) )
                 ENDDO
 
